/******************************************************************************
===============================================================================
Sitio: http://www.conclase.net/
Creado por: Xavier Covis

Se puede incorporar en la aplicacin de recursos una archivo WAVE, utilizando
la funcion sndPlaySound para ejecutar el sonido especificado de
SND_MEMORY flag.
El SND_MEMORY flag indica a nuestro programa la direccin del parmetro a
apuntar en la memoria de imagen del archivo WAVE.


				 Nombre_sonido WAVE "c:\direccin_del_archivo"

ejemplo:
				 MI_SONIDO WAVE "c:\Mi_msica\Tchaikovsky.wav"

Incorpore en la aplicacin de recursos el archivo WAVE, como si fuera una
CLASS como BUTTON, es decir incorpore la anteriormente mesionada CLASS
en el archivo resource script (.RC)

===============================================================================
*******************************************************************************/
#include <windows.h>
#include <mmsystem.h>


BOOL Wave_PlayResource(LPSTR lpName)
{ 
    BOOL bRtn; 
    LPSTR lpRes; 
    HANDLE hResInfo, hRes; 
 
    /* Busca el archivo WAVE de la aplicacin de recursos. */
 
    hResInfo = FindResource(NULL, lpName, "WAVE");
    if (hResInfo == NULL) 
        return FALSE; 
 
    /* Toma el archivo WAVE de la aplicacin de recursos. */
 
    hRes = LoadResource(NULL, hResInfo); 
    if (hRes == NULL) 
        return FALSE; 
 
    /* Abre el archivo WAVE de la aplicain derecursos y la ejecuta. */

 
    lpRes = LockResource(hRes); 
    if (lpRes != NULL) { 
        bRtn = sndPlaySound(lpRes, SND_MEMORY | SND_SYNC | 
            SND_NODEFAULT); 
        //UnlockResource(hRes); //funcin obsoleta para Win32
    } 
    else 
        bRtn = 0; 
 
    /* Libera el archivo WAVE de la aplicacin de recursos y devuelve un error
    si exite. */ 
 
    FreeResource(hRes); 
    return bRtn; 
} 

/******************************************************************************
===============================================================================

Para ejecutar su archivo WAVE, devuelva a esta funcin el puntero que
contiene el array del nombre de su sonido de la aplicacin de recursos.

						Wave_PlayResource("Nombre_sonido");

Para nuestro ejemplo sera:

						Wave_PlayResource("MI_SONIDO");

===============================================================================
*******************************************************************************/

